Subject: bug#11993: Emacs frames on other display hang during recursive edit on a different display

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Dec 2020 18:10:34 +0100

[email-masked] writes:

> Please describe exactly what actions triggered the bug, and
> the precise symptoms of the bug.  If you can, give a recipe
> starting from `emacs -Q':
>
>     emacs -Q
>
>         ...opens a frame (X Window)
>
>         ...select that window, use it a bit to see that all works
>
>         ESC-X make-frame-on-display
>
>         ... type in display name
>         ... note: in may case, the display is a different VNC session
>
>         ... switch to the just opened emacs frame in that display, use it a bit
>         to see that all works
>
>         ... switch back, again, just to see that all works.
>
>         ... in eother of the frames, type
>
>         ESC-X recursive-edit
>
>         ...  I am still able to work in the frame that initiated the recursive
>         edit.
>
>         ... However, in the other frames of the emacs, while I can select the
>         frame (X Window), and the cursor changes from outline to filled, I
>         cannot do anything useful.  The other frame(s) are hung: typing is not
>         accepted, mouse clicks do not move the cursor.

(This bug report unfortunately got no response at the time.)

I wasn't able to follow the recipe (because I don't use VNC), but I
can't talk about similar bugs in the recent past.  Are you still seeing
this issue in more recent versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no